xlogin-rootjpeg(8)

NAME

xlogin-rootjpeg - Copy a jpeg image into X server root window (Display background image)

SYNOPSYS

xlogin-rootjpeg [-h|--help] [-image <filename>] [-display <hostname:display>]

DESCRIPTION

Normally a user will not use this program directly, it's documented here for completeness. This program is used by xlogin iself, the -image argument here expanded from the -background argument in xlogin.

The filename argument in -image is a full path and filename passed from xlogin. So an argument of "-background example.jpg" in xlogin would typically be an argument "-image /etc/xlogin/backgrounds/example.jpg" here.

When a successful connection to the X server has been made, xlogin-rootjpeg asks the display for its screen dimensions, load the image, re-size it to fit the screen dimensions, and then display it.

xlogin-rootjpeg supports colour depths of 15, 16, 24 and 32 bits. Colour depths of less than 8 bits per pixel are not supported.

OPTIONS

-h or --help
    display a short help text

-image <imagename>
    specify the full path to the image filename

-display
    The hostname and optionally display number for an X display. For example "localhost" "localhost:0" "192.168.1.100:0" "myresolvedname:3" If not specified, the current value from $DISPLAY is used.

SECURITY

Poor ! Lets be honest here XDMCP is a pretty weak protocol from a security perspective. Its biggest downfall is that the cookie, a kind of "poor mans secret key" is handed to the X server generating the query via the X socket. This can be sniffed by another network user, the time window is pretty small but its possible.

If security is very high on your list then you should not be running distributed X windows without extra encryption.

Even with the secuirty issues for some home, small office and school users its still a useful way of doing things. A secret is still a secret as long as nobody was listening when you shouted it across the room.

EXAMPLES

xlogin-xdmcpserver -date -pos 10,10 -background tree.jpg

(starts xlogin with args -date -pos 10,10 -background tree.jpg)

or

xlogin-xdmcpserver -a 127.0.0.1

(makes xlogin-xdmcp server listens only on localhost).

At the moment the server only supports X servers asking for a session with the -query option, chooser modes are not currently implemented.

To get a session from a remote machine try something like:

X -query <servername> :Local display number

A real world example would be :

X -query 192.168.1.116 :1

Note the space between the IP and the display number, it matters !

The xlogin-xdmcpserver should send the requesting X server a cookie then launch an xlogin process to satisfy the query.

If you use Xvnc instead, you must use the -once parameter, otherwise after the first session ends Xvnc will not ask for the next session from xlogin-xdmcpserver. Specifying -once makes Xvnc exits after the session ends, so you will need some sort of process manager to restart it if you want to have it running continously.

BUGS

Bit depth less than 15 or more than 32 is not supported.

AUTHOR
Jonathan Andrews (jon (at) jonshouse.co.uk), James Budiono (www.lightofdawn.org)

SEE ALSO
xlogin-xdmcpmserver(8) xlogin(8) xlogin-makeidentity(8)